Subject: bug#30920: closed (Re: bug#30920: doc: Inconsistent parentheses in "(guile) sxml-match")

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 25 Mar 2020 21:55:01 +0000

Your bug report

#30920: doc: Inconsistent parentheses in "(guile) sxml-match"

which was filed against the guile package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
30920: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=30920
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#30920: doc: Inconsistent parentheses in "(guile) sxml-match"
From: Ludovic Courtès <[email-masked]>
To: Arun Isaac <[email-masked]>
Cc: [email-masked]
Date: Wed, 25 Mar 2020 22:54:15 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Arun,

Arun Isaac <[email-masked]> skribis:

> While working on this patch, I found that two of the code snippets don't
> work. They work neither with square brackets nor with round
> brackets. The two snippets are
>
> * The first snippet in the "Matching the Unmatched Attributes" subsection
>
> @lisp
> (sxml-match '(a (@@ (z 1) (y 2) (x 3)) 4 5 6)
>   ((a (@@ (y ,www) . ,qqq) ,t ,u ,v)
>    (list www qqq t u v)))
> @end lisp
>
> * The snippet in the "Default Values in Attribute Patterns" subsection
>
> @lisp
> (sxml-match '(e 3 4 5)
>   ((e (@@ (z (,d 1))) ,a ,b ,c) (list d a b c)))
> @end lisp
>
> These snippets fail to evaluate. Could you check?

I can confirm.  Would be worth fixing.

> From 6e31e3fe1fd2b537d4a02dbcfccbb03e0d20e804 Mon Sep 17 00:00:00 2001
> From: Arun Isaac <[email-masked]>
> Date: Tue, 24 Mar 2020 01:45:32 +0530
> Subject: [PATCH] doc: Replace square brackets with round brackets.
>
> * doc/ref/sxml-match.texi: Replace all square brackets with round
> brackets in order to be consistent with the rest of the documentation.

Applied, thanks!

Ludo’.

Subject: doc: Inconsistent parentheses in "(guile) sxml-match"
From: Arun Isaac <[email-masked]>
To: [email-masked]
Date: Sat, 24 Mar 2018 10:44:46 +0530
List-Id: <debbugs-submit.debbugs.gnu.org>

All examples in "(guile) sxml-match" use square parentheses around each
match clause. However, in the subsection "Guards in Patterns" alone, the
example has round parentheses. I think it would be nice to use round
parentheses consistently in all examples so that sxml-match and match
have the same syntax. But, I have no strong opinions. If you can
recommend which way to go, I can provide a patch for the same.